## iproute2 3.12.0

=== Makefile ===
ROOTDIR=$(DESTDIR)
PREFIX=/usr
LIBDIR=$(PREFIX)/lib
SBINDIR=/sbin
CONFDIR=/etc/iproute2
DATADIR=$(PREFIX)/share
DOCDIR=$(DATADIR)/doc/iproute2
MANDIR=$(DATADIR)/man
ARPDDIR=/var/lib/arpd

# Path to db_185.h include
DBM_INCLUDE:=$(ROOTDIR)/usr/include

SHARED_LIBS = y

DEFINES= -DRESOLVE_HOSTNAMES -DLIBDIR=\"$(LIBDIR)\"
ifneq ($(SHARED_LIBS),y)
DEFINES+= -DNO_SHARED_LIBS
endif

DEFINES+=-DCONFDIR=\"$(CONFDIR)\"

#options for decnet
ADDLIB+=dnet_ntop.o dnet_pton.o

#options for ipx
ADDLIB+=ipx_ntop.o ipx_pton.o

CC = gcc
HOSTCC = gcc
DEFINES += -D_GNU_SOURCE
CCOPTS = -O2
WFLAGS := -Wall -Wstrict-prototypes  -Wmissing-prototypes
WFLAGS += -Wmissing-declarations -Wold-style-definition

CFLAGS = $(WFLAGS) $(CCOPTS) -I../include $(DEFINES)
YACCFLAGS = -d -t -v

SUBDIRS=lib ip tc bridge misc netem genl man

LIBNETLINK=../lib/libnetlink.a ../lib/libutil.a
LDLIBS += $(LIBNETLINK)

all: Config
	@set -e; \
	for i in $(SUBDIRS); \
	do $(MAKE) $(MFLAGS) -C $$i; done

Config:
	sh configure $(KERNEL_INCLUDE)

install: all
	install -m 0755 -d $(DESTDIR)$(SBINDIR)
	install -m 0755 -d $(DESTDIR)$(CONFDIR)
	install -m 0755 -d $(DESTDIR)$(ARPDDIR)
	install -m 0755 -d $(DESTDIR)$(DOCDIR)/examples
	install -m 0755 -d $(DESTDIR)$(DOCDIR)/examples/diffserv
	install -m 0644 README.iproute2+tc $(shell find examples -maxdepth 1 -type f) \
		$(DESTDIR)$(DOCDIR)/examples
	install -m 0644 $(shell find examples/diffserv -maxdepth 1 -type f) \
		$(DESTDIR)$(DOCDIR)/examples/diffserv
	@for i in $(SUBDIRS) doc; do $(MAKE) -C $$i install; done
	install -m 0644 $(shell find etc/iproute2 -maxdepth 1 -type f) $(DESTDIR)$(CONFDIR)

snapshot:
	echo "static const char SNAPSHOT[] = \""`date +%y%m%d`"\";" \
		> include/SNAPSHOT.h

clean:
	@for i in $(SUBDIRS) doc; \
	do $(MAKE) $(MFLAGS) -C $$i clean; done

clobber:
	touch Config
	$(MAKE) $(MFLAGS) clean
	rm -f Config cscope.*

distclean: clobber

cscope:
	cscope -b -q -R -Iinclude -sip -slib -smisc -snetem -stc

.EXPORT_ALL_VARIABLES:

=== ip/Makefile ===
IPOBJ=ip.o ipaddress.o ipaddrlabel.o iproute.o iprule.o ipnetns.o \
    rtm_map.o iptunnel.o ip6tunnel.o tunnel.o ipneigh.o ipntable.o iplink.o \
    ipmaddr.o ipmonitor.o ipmroute.o ipprefix.o iptuntap.o iptoken.o \
    ipxfrm.o xfrm_state.o xfrm_policy.o xfrm_monitor.o \
    iplink_vlan.o link_veth.o link_gre.o iplink_can.o \
    iplink_macvlan.o iplink_macvtap.o ipl2tp.o link_vti.o \
    iplink_vxlan.o tcp_metrics.o iplink_ipoib.o ipnetconf.o link_ip6tnl.o \
    link_iptnl.o link_gre6.o

RTMONOBJ=rtmon.o

include ../Config

ifeq ($(IP_CONFIG_SETNS),y)
	CFLAGS += -DHAVE_SETNS
endif

ALLOBJ=$(IPOBJ) $(RTMONOBJ)
SCRIPTS=ifcfg rtpr routel routef
TARGETS=ip rtmon

all: $(TARGETS) $(SCRIPTS)

ip: $(IPOBJ) $(LIBNETLINK)

rtmon: $(RTMONOBJ)

install: all
	install -m 0755 $(TARGETS) $(DESTDIR)$(SBINDIR)
	install -m 0755 $(SCRIPTS) $(DESTDIR)$(SBINDIR)

clean:
	rm -f $(ALLOBJ) $(TARGETS)

SHARED_LIBS ?= y
ifeq ($(SHARED_LIBS),y)

LDLIBS += -ldl
LDFLAGS += -Wl,-export-dynamic

else

ip: static-syms.o
static-syms.o: static-syms.h
static-syms.h: $(wildcard *.c)
	files="$^" ; \
	for s in `grep -B 3 '\<dlsym' $$files | sed -n '/snprintf/{s:.*"\([^"]*\)".*:\1:;s:%s::;p}'` ; do \
		sed -n '/'$$s'[^ ]* =/{s:.* \([^ ]*'$$s'[^ ]*\) .*:extern char \1[] __attribute__((weak)); if (!strcmp(sym, "\1")) return \1;:;p}' $$files ; \
	done > $@

endif

=== tc/Makefile ===
TCOBJ= tc.o tc_qdisc.o tc_class.o tc_filter.o tc_util.o \
       tc_monitor.o m_police.o m_estimator.o m_action.o \
       m_ematch.o emp_ematch.yacc.o emp_ematch.lex.o

include ../Config
SHARED_LIBS ?= y

TCMODULES :=
TCMODULES += q_fifo.o
TCMODULES += q_sfq.o
TCMODULES += q_red.o
TCMODULES += q_prio.o
TCMODULES += q_tbf.o
TCMODULES += q_cbq.o
TCMODULES += q_rr.o
TCMODULES += q_multiq.o
TCMODULES += q_netem.o
TCMODULES += q_choke.o
TCMODULES += q_sfb.o
TCMODULES += f_rsvp.o
TCMODULES += f_u32.o
TCMODULES += f_route.o
TCMODULES += f_fw.o
TCMODULES += f_basic.o
TCMODULES += f_flow.o
TCMODULES += f_cgroup.o
TCMODULES += q_dsmark.o
TCMODULES += q_gred.o
TCMODULES += f_tcindex.o
TCMODULES += q_ingress.o
TCMODULES += q_hfsc.o
TCMODULES += q_htb.o
TCMODULES += q_drr.o
TCMODULES += q_qfq.o
TCMODULES += m_gact.o
TCMODULES += m_mirred.o
TCMODULES += m_nat.o
TCMODULES += m_pedit.o
TCMODULES += m_skbedit.o
TCMODULES += m_csum.o
TCMODULES += m_simple.o
TCMODULES += p_ip.o
TCMODULES += p_icmp.o
TCMODULES += p_tcp.o
TCMODULES += p_udp.o
TCMODULES += em_nbyte.o
TCMODULES += em_cmp.o
TCMODULES += em_u32.o
TCMODULES += em_canid.o
TCMODULES += em_meta.o
TCMODULES += q_mqprio.o
TCMODULES += q_codel.o
TCMODULES += q_fq_codel.o
TCMODULES += q_fq.o

ifeq ($(TC_CONFIG_IPSET), y)
  ifeq ($(TC_CONFIG_XT), y)
    TCMODULES += em_ipset.o
  endif
endif

TCSO :=
ifeq ($(TC_CONFIG_ATM),y)
  TCSO += q_atm.so
endif

ifeq ($(TC_CONFIG_XT),y)
  TCSO += m_xt.so
else
  ifeq ($(TC_CONFIG_XT_OLD),y)
    TCSO += m_xt_old.so
  else
    ifeq ($(TC_CONFIG_XT_OLD_H),y)
	CFLAGS += -DTC_CONFIG_XT_H
	TCSO += m_xt_old.so
    else
      TCMODULES += m_ipt.o
    endif
  endif
endif

TCOBJ += $(TCMODULES)
LDLIBS += -L. -ltc -lm

ifeq ($(SHARED_LIBS),y)
LDLIBS += -ldl
LDFLAGS += -Wl,-export-dynamic
endif

TCLIB := tc_core.o
TCLIB += tc_red.o
TCLIB += tc_cbq.o
TCLIB += tc_estimator.o
TCLIB += tc_stab.o

CFLAGS += -DCONFIG_GACT -DCONFIG_GACT_PROB
ifneq ($(IPT_LIB_DIR),)
	CFLAGS += -DIPT_LIB_DIR=\"$(IPT_LIB_DIR)\"
endif

YACC := bison
LEX := flex
CFLAGS += -DYY_NO_INPUT

MODDESTDIR := $(DESTDIR)$(LIBDIR)/tc

%.so: %.c
	$(CC) $(CFLAGS) $(LDFLAGS) -shared -fpic $< -o $@


all: libtc.a tc $(TCSO)

tc: $(TCOBJ) $(TCLIB)

libtc.a: $(TCLIB)
	$(AR) rcs $@ $(TCLIB)

install: all
	mkdir -p $(MODDESTDIR)
	install -m 0755 tc $(DESTDIR)$(SBINDIR)
	for i in $(TCSO); \
	do install -m 755 $$i $(MODDESTDIR); \
	done
	if [ ! -f $(MODDESTDIR)/m_ipt.so ]; then \
	if [ -f $(MODDESTDIR)/m_xt.so ]; \
		then ln -s m_xt.so $(MODDESTDIR)/m_ipt.so ; \
	elif [ -f $(MODDESTDIR)/m_xt_old.so ]; \
		then ln -s m_xt_old.so $(MODDESTDIR)/m_ipt.so ; \
	fi; \
	fi

clean:
	rm -f $(TCOBJ) $(TCLIB) libtc.a tc *.so emp_ematch.yacc.h; \
	rm -f emp_ematch.yacc.*

q_atm.so: q_atm.c
	$(CC) $(CFLAGS) $(LDFLAGS) -shared -fpic -o q_atm.so q_atm.c -latm

m_xt.so: m_xt.c
	$(CC) $(CFLAGS) $(LDFLAGS) -shared -fpic -o m_xt.so m_xt.c $$($(PKG_CONFIG) xtables --cflags --libs)

m_xt_old.so: m_xt_old.c
	$(CC) $(CFLAGS) $(LDFLAGS) -shared -fpic -o m_xt_old.so m_xt_old.c $$($(PKG_CONFIG) xtables --cflags --libs)

em_ipset.o: CFLAGS += $$($(PKG_CONFIG) xtables --cflags)

%.yacc.c: %.y
	$(YACC) $(YACCFLAGS) -o $@ $<

%.lex.c: %.l
	$(LEX) $(LEXFLAGS) -o$@ $<

# our lexer includes the header from yacc, so make sure
# we don't attempt to compile it before the header has
# been generated as part of the yacc step.
emp_ematch.lex.o: emp_ematch.yacc.c

ifneq ($(SHARED_LIBS),y)

tc: static-syms.o
static-syms.o: static-syms.h
static-syms.h: $(wildcard *.c)
	files="$^" ; \
	for s in `grep -B 3 '\<dlsym' $$files | sed -n '/snprintf/{s:.*"\([^"]*\)".*:\1:;s:%s::;p}'` ; do \
		sed -n '/'$$s'[^ ]* =/{s:.* \([^ ]*'$$s'[^ ]*\) .*:extern char \1[] __attribute__((weak)); if (!strcmp(sym, "\1")) return \1;:;p}' $$files ; \
	done > $@

endif

## iproute2 3.10.0

=== debian/changelog ===
iproute2 (3.10.0-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable Werror for now (based on a similar change done in Fedora),
      this prevents a build failure caused by ss.c not checking the return
      values of several fgets and fscanf.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 19 Aug 2013 16:25:11 +0200

iproute2 (3.10.0-1) unstable; urgency=low

  * Imported Upstream version 3.10.0 (aka. snapshot 20130716)
  * Let "gbp-pq rebase && gbp-pq export" drop upstreamed patches
    - 0003-iproute2-fix-build-failure-on-sparc-due-to-Wformat-a.patch
    - 0004-iproute2-patch-against-GCC-4.8.0.patch
    - 0005-ip-fix-build-failure-if-time_t-is-not-long-int.patch

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 24 Jul 2013 12:23:53 +0200

iproute2 (3.9.0-5ubuntu1) saucy; urgency=low

  * Disable Werror for now (based on a similar change done in Fedora),
    this prevents a build failure caused by ss.c not checking the return
    values of several fgets and fscanf.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 09 Jul 2013 18:17:59 -0400

iproute2 (3.9.0-5) unstable; urgency=low

  * Cherry-pick patch from upstream to fix build on x32.
    Thanks to Adam Borowski (Closes: #714172)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 26 Jun 2013 21:04:16 +0200

iproute2 (3.9.0-4) unstable; urgency=low

  * Cherry-pick upstream patch to build with gcc 4.8.0 (Closes: #713998)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Jun 2013 19:54:41 +0200

iproute2 (3.9.0-3) unstable; urgency=low

  * Cherry-pick sparc build failure fix from upstream (Closes: #711540)
    - 0003-iproute2-fix-build-failure-on-sparc-due-to-Wformat-a.patch:

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 10 Jun 2013 11:59:42 +0200

iproute2 (3.9.0-2) unstable; urgency=low

  * Give up and just use an epoch for the transitional packages
  * Add misc:Depends to transitional packages to please lintian

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 08 May 2013 14:27:12 +0200

iproute2 (3.9.0-1) experimental; urgency=low

  * debian/copyright: List additional copyright holders
  * debian/copyright: say GPLv2 (only) as not all files are "or later".
  * Imported Upstream version 3.9.0
  * Please lintian with dummy copyright lines for transitional packages
  * Bump standards-version to 3.9.4

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 03 May 2013 15:32:09 +0200

iproute2 (3.8.0-2) experimental; urgency=low

  * Add dummy copyright and changelog for iproute and iproute-doc
    - bump iproute and iproute-doc packag version to 20130000-2 and
      make their only content static to hopefully allow us to reupload
      new versions of the package with the transitional packages still
      on the same old version, to avoid having to bump it each time.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 21 Feb 2013 21:09:28 +0100

iproute2 (3.8.0-1) experimental; urgency=low

  * Imported Upstream version 3.8.0
    - ip: handle flush with table > 2^31 (Closes: #700434)
  * Refresh patches to apply without fuzz and offset

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 21 Feb 2013 20:16:18 +0100

iproute2 (3.7.0-1) experimental; urgency=low

  * Add additional meta-info to previous changelog entries
  * Rename the package and adopt new versioning scheme! (Closes: #693575)
    - iproute renamed to iproute2 to properly match upstream name.
    - iproute-doc renamed to iproute2-doc
    - iproute-dev dropped. It only shipped libnetlink static library
      which is actively discuraged. See libmnl instead.
    - add transitional packages iproute and iproute-doc.
  * Add debian/watch file to track upstream releases
  * Make iproute2 and iproute2-doc conflict and replace older equivalents

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 18 Feb 2013 19:04:12 +0100

iproute (20121211-2) experimental; urgency=low

  [ Kamal Mostafa ]
  * Enable cross-compile support in debian/rules (Closes: #670660)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 12 Dec 2012 12:29:03 +0100

iproute (20121211-1) experimental; urgency=low

  * Imported Upstream version 3.7.0 (aka. snapshot 20121211)
    - this version has the fix for cross-compile
    - fixes it's vs its in manpages (Closes: #693043)
  * Revert "List interfaces without net address by default"
    - patch from upstream now part of latest release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 12 Dec 2012 11:59:52 +0100

iproute (20121001-2) experimental; urgency=low

  * Generate recommends for optional module dependencies
    This makes the optional module dependency on libxtables more
    visible, to hopefully get iproute rebuilt whenever libxtables
    bumps soname.
    Thanks to iptables maintainer for splitting libxtables9 into
    a separate package in version 1.4.16.3-2.
  * 0001-iproute2-List-interfaces-without-net-address-by-defa.patch:
    List interfaces without net address by default.
    This fixes regression in iproute2-3.5.1 when `ip addr show' skipped
    interfaces without network layer address.
    Patch from upstream (git 7f747fd9377b8538ad).

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 09 Nov 2012 15:49:24 +0100

iproute (20121001-1) experimental; urgency=low

  * Imported Upstream version 3.6.0 (aka snapshot 20121001)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 02 Oct 2012 23:49:00 +0200

iproute (20120813-1) experimental; urgency=low

  * Add references to fixed bugs in changelog entry for 20120801-1
  * Fix download url in debian/copyright
  * Imported Upstream version 20120813

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 14 Aug 2012 17:11:20 +0200

iproute (20120801-1) experimental; urgency=low

  * Imported Upstream version 20120801 aka v3.5.0
    - includes new tc codel support (Closes: #675942)
    - support both del and delete in all cases (Closes: #673355)
    - manpage fixes from Bjarni Ingi Gislason (Closes: #674704, #674706)
  * debian/iproute.install: Install new bridge tool to /sbin



=== debian/control ===
Source: iproute2
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian iproute2 Maintainers <ah-iproute@debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Alexander Wirt <formorer@debian.org>
Homepage: http://www.linux-foundation.org/en/Net:Iproute2
Vcs-Browser: http://git.debian.org/?p=collab-maint/pkg-iproute.git
Vcs-Git: git://git.debian.org/git/collab-maint/pkg-iproute.git
Standards-Version: 3.9.4
Build-Depends: texlive-latex-base,
               texlive-latex-recommended,
               iptables-dev,
               libatm1-dev,
               libdb-dev,
               linuxdoc-tools,
               linux-libc-dev,
               debhelper (>= 8),
               lynx | lynx-cur,
               pkg-config,
               bison,
               flex

Package: iproute2
Priority: important
Architecture: any
Provides: arpd
Conflicts: arpd, iproute (<< 20130000-1)
Replaces: iproute
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ${ipmods:Recommends}
Suggests: iproute2-doc
Multi-Arch: foreign
Description: networking and traffic control tools
 The iproute2 suite is a collection of utilities for networking and
 traffic control.
 .
 These tools communicate with the Linux kernel via the (rt)netlink
 interface, providing advanced features not available through the
 legacy net-tools commands 'ifconfig' and 'route'.

Package: iproute2-doc
Section: doc
Architecture: all
Conflicts: iproute-doc (<< 20130000-1)
Replaces: iproute-doc
Depends: ${misc:Depends}
Description: networking and traffic control tools - documentation
 The iproute2 suite is a collection of utilities for networking and
 traffic control.
 .
 This package contains the documentation for iproute.

Package: iproute
Depends: iproute2, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package for iproute2
 This is a transitional dummy package to get upgrading systems to install
 the iproute2 package. It can safely be removed.

Package: iproute-doc
Depends: iproute2-doc, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package for iproute2-doc
 This is a transitional dummy package to get upgrading systems to install
 the iproute2-doc package. It can safely be removed.

## iproute2 3.12.0

=== debian/changelog ===
iproute2 (3.12.0-2ubuntu1.2) trusty; urgency=medium

  * Fix ip maddr show (LP: #1732032):
    - d/p/1003-ip-maddr-fix-igmp-parsing.patch: fix igmp parsing when iface is
      long
    - d/p/1004-ip-maddr-avoid-uninitialized-data.patch: avoid accessing
      uninitialized data
    - d/p/1005-ip-maddr-fix-filtering-by-device.patch: fix filtering
      by device

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 29 Nov 2017 17:15:25 -0200

iproute2 (3.12.0-2ubuntu1.1) trusty; urgency=medium

  * debian/patches/99-increase-receive-buffer-size.patch: Fix "Message
    truncated" issue with many VF's.  Thanks to Phil Sutter
    <phil@nwl.cc>.  Closes LP: #1720126.

 -- Monique van den Berg <monique.vandenberg@netronome.com>  Mon, 16 Oct 2017 09:26:42 +0200

iproute2 (3.12.0-2ubuntu1) trusty; urgency=low

  * Add Ubuntu FAN support V3.  (LP: #1470091)

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 29 Jun 2015 17:05:40 +0100

iproute2 (3.12.0-2) unstable; urgency=medium

  * Add build-dependency on texlive-fonts-recommended (Closes: #738397)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 12 Feb 2014 22:18:40 +0100

iproute2 (3.12.0-1) unstable; urgency=low

  * Improve removal comment in transitional packages descriptions
    (Closes: #708823)
  * Imported Upstream version 3.12.0 (aka snapshot 20131122)
    - ss now avoids negative numbers in malloc, partially fixes #511720
    - gretap now listed in help output and manpage (Closes: #582675)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 26 Nov 2013 00:43:35 +0100

iproute2 (3.11.0-1) unstable; urgency=low

  * Imported Upstream version 3.11.0 (aka snapshot 20130903)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 04 Sep 2013 21:21:03 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Standards-Version: 3.9.4
 Build-Depends: texlive-latex-base,
                texlive-latex-recommended,
+               texlive-fonts-recommended,
                iptables-dev,
                libatm1-dev,
                libdb-dev,
@@ -57,7 +58,8 @@
 Section: oldlibs
 Description: transitional dummy package for iproute2
  This is a transitional dummy package to get upgrading systems to install
- the iproute2 package. It can safely be removed.
+ the iproute2 package. It can safely be removed once no other package
+ depends on it.
 
 Package: iproute-doc
 Depends: iproute2-doc, ${misc:Depends}
@@ -65,4 +67,5 @@
 Section: oldlibs
 Description: transitional dummy package for iproute2-doc
  This is a transitional dummy package to get upgrading systems to install
- the iproute2-doc package. It can safely be removed.
+ the iproute2-doc package. It can safely be removed once no other package
+ depends on it.

## iproute2 3.16.0

=== doc/Makefile ===
PSFILES=ip-cref.ps ip-tunnels.ps api-ip6-flowlabels.ps ss.ps nstat.ps arpd.ps rtstat.ps
# tc-cref.ps
# api-rtnl.tex api-pmtudisc.tex api-news.tex
# iki-netdev.ps iki-neighdst.ps


LATEX=latex
DVIPS=dvips
SGML2DVI=sgml2latex
SGML2HTML=sgml2html -s 0
LPR=lpr -Zsduplex
SHELL=bash
PAGESIZE=a4
PAGESPERPAGE=2

HTMLFILES=$(subst .sgml,.html,$(shell echo *.sgml))
DVIFILES=$(subst .ps,.dvi,$(PSFILES))
PDFFILES=$(subst .ps,.pdf,$(PSFILES))


all: pstwocol

pstwocol: $(PSFILES)

html: $(HTMLFILES)

dvi: $(DVIFILES)

pdf: $(PDFFILES)

print: $(PSFILES)
	$(LPR) $(PSFILES)

%.tex: %.sgml
	$(SGML2DVI) --output=tex $<

%.dvi: %.sgml
	$(SGML2DVI) --output=dvi $<

%.dvi: %.tex
	@set -e; pass=2; echo "Running LaTeX $<"; \
	while [ `$(LATEX) $< </dev/null 2>&1 | \
		 grep -c '^\(LaTeX Warning: Label(s) may\|No file \|! Emergency stop\)'` -ge 1 ]; do \
		if [ $$pass -gt 3 ]; then \
			echo "Seems, something is wrong. Try by hands." ; exit 1 ; \
		fi; \
		echo "Re-running LaTeX $<, $${pass}d pass"; pass=$$[$$pass + 1]; \
	done

%.pdf: %.tex
	@set -e; pass=2; echo "Running pdfLaTeX $<"; \
	while [ `pdflatex $< </dev/null 2>&1 | \
		 grep -c '^\(LaTeX Warning: Label(s) may\|No file \|! Emergency stop\)'` -ge 1 ]; do \
		if [ $$pass -gt 3 ]; then \
			echo "Seems, something is wrong. Try by hands." ; exit 1 ; \
		fi; \
		echo "Re-running pdfLaTeX $<, $${pass}d pass"; pass=$$[$$pass + 1]; \
	done
#%.pdf: %.ps
#	ps2pdf $<

%.ps: %.dvi
	$(DVIPS) $< -o $@

%.html: %.sgml
	$(SGML2HTML) $<

install:
	install -m 0644 $(shell echo *.tex) $(DESTDIR)$(DOCDIR)
	install -m 0644 $(shell echo *.sgml) $(DESTDIR)$(DOCDIR)

clean:
	rm -f *.aux *.log *.toc $(PSFILES) $(DVIFILES) *.html

=== debian/changelog ===
iproute2 (3.16.0-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 31 Oct 2014 13:50:38 +0300

iproute2 (3.16.0-2) unstable; urgency=medium

  * Cherry-pick upstream commit f1b66ff8
    "ip link: Remove unnecessary device checking" (Closes: #757644)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 05 Sep 2014 07:47:42 -0700

iproute2 (3.16.0-1) unstable; urgency=medium

  * Imported Upstream version 3.16.0
    - a.k.a. snapshot 140804

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 05 Aug 2014 14:08:55 +0200

iproute2 (3.15.0-2) unstable; urgency=medium

  * Enable selinux support in ss (Closes: #751963)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 18 Jun 2014 14:27:57 +0200

iproute2 (3.15.0-1) unstable; urgency=medium

  * Imported Upstream version 3.15.0
    - bridge: Make filter_index match in signedness (Closes: #749155)
    - fix print_ipt: segfault if more then one filter with action -j MARK.
      (Closes: #710450)
    - and more...

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 15 Jun 2014 11:17:11 +0200

iproute2 (3.14.0-2) unstable; urgency=medium

  * Add build-dependency on cm-super-minimal (Closes: #750565)
  * Run wrap-and-sort
  * Bump Standards-Version to 3.9.5

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 04 Jun 2014 18:26:32 +0200

iproute2 (3.14.0-1) unstable; urgency=medium

  * Imported Upstream version 3.14.0
    - htb: support 64bit rates (Closes: #731507)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Apr 2014 19:13:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,29 @@
 Source: iproute2
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian iproute2 Maintainers <ah-iproute@debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Alexander Wirt <formorer@debian.org>
+Maintainer: Debian iproute2 Maintainers <ah-iproute@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>,
+           Alexander Wirt <formorer@debian.org>,
+           Michael Tokarev <mjt@tls.msk.ru>
 Homepage: http://www.linux-foundation.org/en/Net:Iproute2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pkg-iproute.git
 Vcs-Git: git://git.debian.org/git/collab-maint/pkg-iproute.git
-Standards-Version: 3.9.4
-Build-Depends: texlive-latex-base,
-               texlive-latex-recommended,
-               texlive-fonts-recommended,
+Standards-Version: 3.9.5
+Build-Depends: bison,
+               cm-super-minimal,
+               debhelper (>= 8),
+               flex,
                iptables-dev,
                libatm1-dev,
                libdb-dev,
+               libselinux1-dev,
+               linux-libc-dev,
                linuxdoc-tools,
-               linux-libc-dev,
-               debhelper (>= 8),
                lynx | lynx-cur,
                pkg-config,
-               bison,
-               flex
+               texlive-fonts-recommended,
+               texlive-latex-base,
+               texlive-latex-recommended
 
 Package: iproute2
 Priority: important
@@ -28,7 +31,7 @@
 Provides: arpd
 Conflicts: arpd, iproute (<< 20130000-1)
 Replaces: iproute
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: ${ipmods:Recommends}
 Suggests: iproute2-doc
 Multi-Arch: foreign

## iproute2 4.3.0

=== doc/Makefile ===
--- 
+++ 
@@ -70,4 +70,4 @@
 	install -m 0644 $(shell echo *.sgml) $(DESTDIR)$(DOCDIR)
 
 clean:
-	rm -f *.aux *.log *.toc $(PSFILES) $(DVIFILES) *.html
+	rm -f *.aux *.log *.toc $(PSFILES) $(DVIFILES) *.html *.pdf

=== genl/Makefile ===
GENLOBJ=genl.o

include ../Config
SHARED_LIBS ?= y

CFLAGS += -fno-strict-aliasing

GENLMODULES :=
GENLMODULES += ctrl.o

GENLOBJ += $(GENLMODULES)

GENLLIB :=

ifeq ($(SHARED_LIBS),y)
LDFLAGS += -Wl,-export-dynamic
LDLIBS  += -lm -ldl
endif

all: genl

genl: $(GENLOBJ) $(LIBNETLINK) $(LIBUTIL) $(GENLLIB)

install: all
	install -m 0755 genl $(DESTDIR)$(SBINDIR)

clean:
	rm -f $(GENLOBJ) $(GENLLIB) genl

ifneq ($(SHARED_LIBS),y)

genl: static-syms.o
static-syms.o: static-syms.h
static-syms.h: $(wildcard *.c)
	files="$^" ; \
	for s in `grep -B 3 '\<dlsym' $$files | sed -n '/snprintf/{s:.*"\([^"]*\)".*:\1:;s:%s::;p}'` ; do \
		sed -n '/'$$s'[^ ]* =/{s:.* \([^ ]*'$$s'[^ ]*\) .*:extern char \1[] __attribute__((weak)); if (!strcmp(sym, "\1")) return \1;:;p}' $$files ; \
	done > $@

endif

=== man/man8/Makefile ===
TARGETS = ip-address.8 ip-link.8 ip-route.8

MAN8PAGES = $(TARGETS) ip.8 arpd.8 lnstat.8 routel.8 rtacct.8 rtmon.8 rtpr.8 ss.8 \
	tc.8 tc-bfifo.8 tc-bpf.8 tc-cbq.8 tc-cbq-details.8 tc-choke.8 tc-codel.8 \
	tc-fq.8 \
	tc-drr.8 tc-ematch.8 tc-fq_codel.8 tc-hfsc.8 tc-htb.8 tc-pie.8 \
	tc-mqprio.8 tc-netem.8 tc-pfifo.8 tc-pfifo_fast.8 tc-prio.8 tc-red.8 \
	tc-sfb.8 tc-sfq.8 tc-stab.8 tc-tbf.8 \
	bridge.8 rtstat.8 ctstat.8 nstat.8 routef.8 \
	ip-addrlabel.8 ip-fou.8 ip-gue.8 ip-l2tp.8 \
	ip-maddress.8 ip-monitor.8 ip-mroute.8 ip-neighbour.8 \
	ip-netns.8 ip-ntable.8 ip-rule.8 ip-tunnel.8 ip-xfrm.8 \
	ip-tcp_metrics.8 ip-netconf.8 ip-token.8 \
	tipc.8 tipc-bearer.8 tipc-link.8 tipc-media.8 tipc-nametable.8 \
	tipc-node.8 tipc-socket.8 \
	tc-basic.8 tc-cgroup.8 tc-flow.8 tc-flower.8 tc-fw.8 tc-route.8 \
	tc-tcindex.8 tc-u32.8

all: $(TARGETS)

ip-address.8: ip-address.8.in
	sed "s|@SYSCONFDIR@|$(CONFDIR)|g" $< > $@

ip-link.8: ip-link.8.in
	sed "s|@SYSCONFDIR@|$(CONFDIR)|g" $< > $@

ip-route.8: ip-route.8.in
	sed "s|@SYSCONFDIR@|$(CONFDIR)|g" $< > $@

distclean: clean

clean:
	@rm -f $(TARGETS)

install:
	$(INSTALLDIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALLMAN) $(MAN8PAGES) $(DESTDIR)$(MANDIR)/man8

.PHONY: install clean distclean

=== debian/changelog ===
iproute2 (4.3.0-1ubuntu3.16.04.5) xenial; urgency=medium

  * sched: Match-all classifier is missing in xenial (LP: #1642514)
    - d/p/1011-tc-Add-support-for-the-matchall-traffic-classifier.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 04 Apr 2019 15:47:07 +0200

iproute2 (4.3.0-1ubuntu3.16.04.4) xenial; urgency=medium

  * Add support for VF Trust (LP: #1800877)
    - d/p/1008-vf_trust_dddf1b44126e.patch: netlink attribute
    - d/p/1009-vf_trust_b6d77d9ee312.patch: set it for kernel
    - d/p/1010-vf_trust_fe9322781e63.patch: print it for user

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Tue, 18 Sep 2018 12:21:44 -0300

iproute2 (4.3.0-1ubuntu3.16.04.3) xenial; urgency=medium

  * Fix ip maddr show (LP: #1732032):
    - d/p/1005-ip-maddr-fix-igmp-parsing.patch: fix igmp parsing when iface is
      long
    - d/p/1006-ip-maddr-avoid-uninitialized-data.patch: avoid accessing
      uninitialized data
    - d/p/1007-ip-maddr-fix-filtering-by-device.patch: fix filtering
      by device

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 29 Nov 2017 15:04:40 -0200

iproute2 (4.3.0-1ubuntu3.16.04.2) xenial; urgency=medium

  * debian/patches/99-increase-receive-buffer-size.patch: Fix "Message
    truncated" issue with many VF's.  Thanks to Phil Sutter
    <phil@nwl.cc>.  Closes LP: #1720126.

 -- Monique van den Berg <monique.vandenberg@netronome.com>  Tue, 17 Oct 2017 11:33:13 +0200

iproute2 (4.3.0-1ubuntu3.16.04.1) xenial; urgency=medium

  * debian/patches/1004-tc.8-Fix-reference-to-tc-tcindex.8.patch:
    [PATCH] tc.8: Fix reference to tc-tcindex.8.  Thanks to Phil Sutter
    <phil@nwl.cc>.  LP: #1668813

 -- Jon Grimm <jon.grimm@canonical.com>  Fri, 10 Mar 2017 16:59:26 -0600

iproute2 (4.3.0-1ubuntu3) xenial; urgency=medium

  * Add d/p/1003-fix-variable-in-libnetlink.patch (LP: #1522371), fix a variable name
    collision issuing a segfault; from upstream.
  * Add TIPC support (LP: #1508225):
    - d/control: add libmnl-dev to BDs, to include TIPC support.
    - d/iproute2.install: add tipc binary.

 -- Pierre-AndrÃ© MOREY <pierre-andre.morey@canonical.com>  Tue, 05 Apr 2016 09:43:44 +0200

iproute2 (4.3.0-1ubuntu2) xenial; urgency=medium

  * No-change rebuild for new iptables.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Feb 2016 20:00:55 +0100

iproute2 (4.3.0-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
   - debian/patches/1000-ubuntu-poc-fan-driver.patch
     Ubuntu FAN driver support V2 (LP: #1439706)
   - debian/patches/1001-ubuntu-poc-fan-driver-v3.patch
     Ubuntu FAN driver support V3 (LP: #1470091)
   - debian/patches/1002-ubuntu-poc-fan-driver-vxlan.patch
     Ubuntu FAN driver support VXLAN V4.

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 22 Dec 2015 09:32:32 +0000

iproute2 (4.3.0-1) unstable; urgency=medium

  * Add debian/gbp.conf
  * Imported Upstream version 4.3.0
  * Have quilt unfuzz debian/patches/0001-Add-moo-feature.patch
  * Ship new generic netlink utility: genl
  * Ship examples via debian/iproute2-doc.examples instead
  * Add myself to debian/copyright

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 26 Nov 2015 18:34:59 +0100

iproute2 (4.1.1-1ubuntu2) xenial; urgency=low

  * debian/patches/1002-ubuntu-poc-fan-driver-vxlan.patch
    Ubuntu FAN drvier support VXLAN V4.

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 17 Nov 2015 13:29:03 +0000

iproute2 (4.1.1-1ubuntu1) wily; urgency=medium

  * Merge with Debian, remaining changes (LP: #1448800):
   - debian/patches/1000-ubuntu-poc-fan-driver.patch
     Ubuntu FAN driver support V2 (LP: #1439706)
   - debian/patches/1001-ubuntu-poc-fan-driver-v3.patch
     Ubuntu FAN driver support V3 (LP: #1470091)

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 19 Aug 2015 09:59:35 +0100

iproute2 (4.1.1-1) unstable; urgency=medium

  * [be9f298] Imported Upstream version 4.1.1

 -- Alexander Wirt <formorer@debian.org>  Mon, 17 Aug 2015 16:10:46 +0200

iproute2 (4.0.0-1) unstable; urgency=medium

  * [6dd90fb] Imported Upstream version 4.0.0
  * [03b830b] Remove obsolete patch 
              0003-ip-link-Remove-unnecessary-device-checking
  * [8c27170] Refresh patches
  * [0c99cce] Bump standards version (no changes)

 -- Alexander Wirt <formorer@debian.org>  Wed, 24 Jun 2015 10:01:45 +0200

iproute2 (3.16.0-2ubuntu2) wily; urgency=low

  * Update Ubuntu FAN support to V3.  (LP: #1470091)

 -- Andy Whitcroft <apw@canonical.com>  Mon, 29 Jun 2015 16:59:24 +0100

iproute2 (3.16.0-2ubuntu1) vivid; urgency=low

  * Add Ubuntu FAN support.  (LP: #1439706)

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 24 Feb 2015 14:45:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: iproute2
 Section: net
 Priority: optional
-Maintainer: Debian iproute2 Maintainers <ah-iproute@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian iproute2 Maintainers <ah-iproute@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>,
-           Alexander Wirt <formorer@debian.org>,
-           Michael Tokarev <mjt@tls.msk.ru>
+           Alexander Wirt <formorer@debian.org>
 Homepage: http://www.linux-foundation.org/en/Net:Iproute2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pkg-iproute.git
 Vcs-Git: git://git.debian.org/git/collab-maint/pkg-iproute.git
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: bison,
                cm-super-minimal,
                debhelper (>= 8),
@@ -16,6 +16,7 @@
                iptables-dev,
                libatm1-dev,
                libdb-dev,
+               libmnl-dev,
                libselinux1-dev,
                linux-libc-dev,
                linuxdoc-tools,

=== debian/rules ===
#!/usr/bin/make -f

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	CROSS :=
else
	CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh $@

override_dh_clean:
	dh_clean
	make distclean
	-rm -f doc/*.txt

override_dh_shlibdeps:
	dh_shlibdeps -a -Xq_atm.so -Xm_xt.so -Xm_ipt.so
	dh_shlibdeps -a -- -pipmods -dRecommends -e debian/iproute2/usr/lib/tc/m_xt.so -e debian/iproute2/usr/lib/tc/q_atm.so -xlibc6

override_dh_auto_configure:
	$(CROSS) dh_auto_configure

override_dh_auto_build:
	$(MAKE) -C doc all txt
	$(MAKE) KERNEL_INCLUDE=./include $(CROSS)

# bump version of the transitional packages...
override_dh_gencontrol:
	dh_gencontrol -piproute -- -v1:$(DEB_VERSION)
	dh_gencontrol -piproute-doc -- -v1:$(DEB_VERSION)
	dh_gencontrol --remaining-packages

## iproute2 4.9.0

=== man/man8/Makefile ===
--- 
+++ 
@@ -7,14 +7,17 @@
 	tc-mqprio.8 tc-netem.8 tc-pfifo.8 tc-pfifo_fast.8 tc-prio.8 tc-red.8 \
 	tc-sfb.8 tc-sfq.8 tc-stab.8 tc-tbf.8 \
 	bridge.8 rtstat.8 ctstat.8 nstat.8 routef.8 \
-	ip-addrlabel.8 ip-fou.8 ip-gue.8 ip-l2tp.8 \
+	ip-addrlabel.8 ip-fou.8 ip-gue.8 ip-l2tp.8 ip-macsec.8 \
 	ip-maddress.8 ip-monitor.8 ip-mroute.8 ip-neighbour.8 \
 	ip-netns.8 ip-ntable.8 ip-rule.8 ip-tunnel.8 ip-xfrm.8 \
 	ip-tcp_metrics.8 ip-netconf.8 ip-token.8 \
 	tipc.8 tipc-bearer.8 tipc-link.8 tipc-media.8 tipc-nametable.8 \
 	tipc-node.8 tipc-socket.8 \
 	tc-basic.8 tc-cgroup.8 tc-flow.8 tc-flower.8 tc-fw.8 tc-route.8 \
-	tc-tcindex.8 tc-u32.8
+	tc-tcindex.8 tc-u32.8 tc-matchall.8 \
+	tc-connmark.8 tc-csum.8 tc-mirred.8 tc-nat.8 tc-pedit.8 tc-police.8 \
+	tc-simple.8 tc-skbedit.8 tc-vlan.8 tc-xt.8  tc-ife.8 tc-skbmod.8 \
+	devlink.8 devlink-dev.8 devlink-monitor.8 devlink-port.8 devlink-sb.8
 
 all: $(TARGETS)

=== debian/changelog ===
iproute2 (4.9.0-1ubuntu2) artful; urgency=medium

  * No-change rebuild against latest iptables

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Jun 2017 23:59:24 -0400

iproute2 (4.9.0-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
   - debian/patches/1000-ubuntu-poc-fan-driver.patch
     Ubuntu FAN driver support V2 (LP: #1439706)
   - debian/patches/1001-ubuntu-poc-fan-driver-v3.patch
     Ubuntu FAN driver support V3 (LP: #1470091)
   - debian/patches/1002-ubuntu-poc-fan-driver-vxlan.patch
     Ubuntu FAN driver support VXLAN V4.
  * Drop the following, fixed in debian:
   - d/p/1003-fix-variable-in-libnetlink.patch (LP: #1522371)
   - Add TIPC support (LP: #1508225):
      - d/control: add libmnl-dev to BDs, to include TIPC support.
      - d/iproute2.install: add tipc binary.
  * Rebased FAN quilt patches on to latest upstream code.

 -- Jon Grimm <jon.grimm@canonical.com>  Fri, 10 Feb 2017 14:15:55 -0600

iproute2 (4.9.0-1) unstable; urgency=medium

  * New upstream release, tested by Julian Wollrath.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 13 Dec 2016 16:57:50 +0100

iproute2 (4.8.0-1) unstable; urgency=medium

  * Fix debian/gbp.conf to import upstream tag on import-orig
  * New upstream release.
  * Ship upstream iproute2 docs in iproute2-doc package

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 26 Oct 2016 16:07:30 +0200

iproute2 (4.6.0-4) unstable; urgency=medium

  * Fix conflict resolution, really remove ifstat binary (Closes: #832573)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 16 Aug 2016 09:48:05 +0200

iproute2 (4.6.0-3) unstable; urgency=medium

  * Team upload.

  [ Laurent Bigonville ]
  * debian/control: Downgrade transitional packages to Priority extra

  [ Andreas Henriksson ]
  * Revert "Install ifstat executable and manpage" (Closes: #832573)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 15 Aug 2016 17:36:13 +0200

iproute2 (4.6.0-2) unstable; urgency=medium

  * Team upload.
  [ Julian Wollrath ]
  * Bump standards version to 3.9.8 (no changes needed)
  * Use at least debhelper version 9 (Closes: #672828)
  * Add build-dep on libelf-dev (Closes: #812774)
  * Add build-dep on libmnl-dev
  * Install tipc and devlink executables (Closes: #803922)

  [ Laurent Bigonville ]
  * debian/iproute2.install, debian/iproute2.manpages: Rely on upstream build
    system to install the files and do not pick them from the source directory
  * debian/iproute2.install: Install the bash completion file
  * debian/iproute2.manpages: Install the devlink and genl manpages not
    installed by the upstream build system
  * Install ifstat executable and manpage
  * Run wrap-and-sort script
  * debian/control: Update the Homepage URL

 -- Laurent Bigonville <bigon@debian.org>  Tue, 26 Jul 2016 18:43:10 +0200

iproute2 (4.6.0-1) unstable; urgency=medium

  [ Julian Wollrath ]
  * Imported upstream version 4.6.0:
    - Add build-dep on texlive-latex-extra for fullpage
  * Remove debian/patches/f_u32
  * Change VCS URLs to the canonical ones

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 09 Jul 2016 13:17:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 XSBC-Original-Maintainer: Debian iproute2 Maintainers <ah-iproute@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>,
            Alexander Wirt <formorer@debian.org>
-Homepage: http://www.linux-foundation.org/en/Net:Iproute2
-Vcs-Browser: http://git.debian.org/?p=collab-maint/pkg-iproute.git
-Vcs-Git: git://git.debian.org/git/collab-maint/pkg-iproute.git
-Standards-Version: 3.9.6
+Homepage: https://wiki.linuxfoundation.org/networking/iproute2
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pkg-iproute.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/pkg-iproute.git
+Standards-Version: 3.9.8
 Build-Depends: bison,
                cm-super-minimal,
-               debhelper (>= 8),
+               debhelper (>= 9),
                flex,
                iptables-dev,
                libatm1-dev,
                libdb-dev,
+               libelf-dev,
                libmnl-dev,
                libselinux1-dev,
                linux-libc-dev,
@@ -24,6 +25,7 @@
                pkg-config,
                texlive-fonts-recommended,
                texlive-latex-base,
+               texlive-latex-extra,
                texlive-latex-recommended
 
 Package: iproute2
@@ -60,6 +62,7 @@
 Depends: iproute2, ${misc:Depends}
 Architecture: all
 Section: oldlibs
+Priority: extra
 Description: transitional dummy package for iproute2
  This is a transitional dummy package to get upgrading systems to install
  the iproute2 package. It can safely be removed once no other package
@@ -69,6 +72,7 @@
 Depends: iproute2-doc, ${misc:Depends}
 Architecture: all
 Section: oldlibs
+Priority: extra
 Description: transitional dummy package for iproute2-doc
  This is a transitional dummy package to get upgrading systems to install
  the iproute2-doc package. It can safely be removed once no other package

## iproute2 4.9.0-1ubuntu1+8.0trisquel1

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PSFILES=ip-cref.ps ip-tunnels.ps api-ip6-flowlabels.ps ss.ps nstat.ps arpd.ps rtstat.ps
+PSFILES=ip-cref.ps ip-tunnels.ps api-ip6-flowlabels.ps ss.ps nstat.ps arpd.ps rtstat.ps tc-filters.ps
 # tc-cref.ps
 # api-rtnl.tex api-pmtudisc.tex api-news.tex
 # iki-netdev.ps iki-neighdst.ps
@@ -14,6 +14,7 @@
 PAGESPERPAGE=2
 
 HTMLFILES=$(subst .sgml,.html,$(shell echo *.sgml))
+TXTFILES=$(subst .sgml,.txt,$(shell echo *.sgml))
 DVIFILES=$(subst .ps,.dvi,$(PSFILES))
 PDFFILES=$(subst .ps,.pdf,$(PSFILES))
 
@@ -27,6 +28,8 @@
 dvi: $(DVIFILES)
 
 pdf: $(PDFFILES)
+
+txt: $(TXTFILES)
 
 print: $(PSFILES)
 	$(LPR) $(PSFILES)
@@ -65,9 +68,13 @@
 %.html: %.sgml
 	$(SGML2HTML) $<
 
+%.txt: %.html
+	lynx -nolist -dump $< > $@
+
+
 install:
 	install -m 0644 $(shell echo *.tex) $(DESTDIR)$(DOCDIR)
 	install -m 0644 $(shell echo *.sgml) $(DESTDIR)$(DOCDIR)
 
 clean:
-	rm -f *.aux *.log *.toc $(PSFILES) $(DVIFILES) *.html *.pdf
+	rm -f *.aux *.log *.toc $(PSFILES) $(DVIFILES) *.html *.pdf $(TXTFILES)

=== debian/changelog ===
iproute2 (4.9.0-1ubuntu1+8.0trisquel1) flidas; urgency=medium

  * Backported from zesty

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 03 Jun 2017 19:52:41 +0000

## iproute2 4.14.1

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: iproute2
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian iproute2 Maintainers <ah-iproute@debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>,
-           Alexander Wirt <formorer@debian.org>
+Maintainer: Alexander Wirt <formorer@debian.org>
+Uploaders: Luca Boccassi <bluca@debian.org>
 Homepage: https://wiki.linuxfoundation.org/networking/iproute2
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pkg-iproute.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/pkg-iproute.git
@@ -26,7 +24,8 @@
                texlive-fonts-recommended,
                texlive-latex-base,
                texlive-latex-extra,
-               texlive-latex-recommended
+               texlive-latex-recommended,
+               zlib1g-dev,
 
 Package: iproute2
 Priority: important

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,6 @@
 override_dh_clean:
 	dh_clean
 	make distclean
-	-rm -f doc/*.txt
 
 override_dh_shlibdeps:
 	dh_shlibdeps -a -Xq_atm.so -Xm_xt.so -Xm_ipt.so
@@ -27,7 +26,6 @@
 	$(CROSS) dh_auto_configure
 
 override_dh_auto_build:
-	$(MAKE) -C doc all txt
 	$(MAKE) KERNEL_INCLUDE=./include $(CROSS)
 
 # bump version of the transitional packages...
